Asset
Use the VARIO Cloud Asset API to manage assets, asset types, warranties, serial numbers, relationships, copies and activation states.
Verwaltung der Assets
an identifier
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
Resource with given ID was not found
GET /erp/assets/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"number": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"typeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"ignoreExpiryDateOnStockBooking": true,
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"billingAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contractRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parentAssetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"childAssetRefs": [],
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}an identifier
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
Resource was not found
Resource was not valid to process
PUT /erp/assets/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1318
{
"version": "text",
"info": {},
"id": "text",
"number": "text",
"articleRef": {
"id": "text"
},
"typeRef": {
"id": "text"
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {},
"id": "text",
"articleRef": {
"id": "text"
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text"
},
"accountAddressRef": {
"id": "text"
},
"billingAddressRef": {
"id": "text"
},
"contractRef": {
"id": "text"
},
"parentAssetRef": {
"id": "text"
},
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"number": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"typeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"ignoreExpiryDateOnStockBooking": true,
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"billingAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contractRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parentAssetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"childAssetRefs": [],
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/assets/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
Resource was not found
Resource was not valid to process
PUT /erp/assets/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"number": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"typeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"ignoreExpiryDateOnStockBooking": true,
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"billingAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contractRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parentAssetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"childAssetRefs": [],
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}identifier
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
Resource was not found
Resource was not valid to process
PUT /erp/assets/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"number": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"typeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"ignoreExpiryDateOnStockBooking": true,
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"billingAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contractRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parentAssetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"childAssetRefs": [],
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}an identifier
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Aktiv?
trueResource with given ID was not found
GET /erp/assets/types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}an identifier
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Aktiv?
truesuccessful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Aktiv?
trueResource was not found
Resource was not valid to process
PUT /erp/assets/types/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"version": "text",
"info": {},
"id": "text",
"label": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/assets/types/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Aktiv?
trueResource was not found
Resource was not valid to process
PUT /erp/assets/types/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}identifier
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Aktiv?
trueResource was not found
Resource was not valid to process
PUT /erp/assets/types/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}Asset-Id
OK
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
POST /erp/assets/{id}/copy?newAssetNumber=text HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"number": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"typeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"ignoreExpiryDateOnStockBooking": true,
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"billingAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contractRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parentAssetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"childAssetRefs": [],
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Aktiv?
truesuccessful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Aktiv?
trueResource was not valid to process
POST /erp/assets/types/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"version": "text",
"info": {},
"id": "text",
"label": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"active": true
}Vorlage zum Erstellen eines Assets
OK
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
POST /erp/assets/create-by-template HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1349
{
"createTemplateId": 1,
"asset": {
"version": "text",
"info": {},
"id": "text",
"number": "text",
"articleRef": {
"id": "text"
},
"typeRef": {
"id": "text"
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {},
"id": "text",
"articleRef": {
"id": "text"
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text"
},
"accountAddressRef": {
"id": "text"
},
"billingAddressRef": {
"id": "text"
},
"contractRef": {
"id": "text"
},
"parentAssetRef": {
"id": "text"
},
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"number": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"typeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"ignoreExpiryDateOnStockBooking": true,
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"billingAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contractRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parentAssetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"childAssetRefs": [],
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
successful operation
Asset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
active
trueAsset-Nummer
Asset-Bezeichnung
Notiz
Beginn Garantie
Ende Garantie
frei eingebbare Seriennummer / MHD
Resource was not valid to process
POST /erp/assets/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1318
{
"version": "text",
"info": {},
"id": "text",
"number": "text",
"articleRef": {
"id": "text"
},
"typeRef": {
"id": "text"
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {},
"id": "text",
"articleRef": {
"id": "text"
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text"
},
"accountAddressRef": {
"id": "text"
},
"billingAddressRef": {
"id": "text"
},
"contractRef": {
"id": "text"
},
"parentAssetRef": {
"id": "text"
},
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"number": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"typeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"label": "text",
"note": "text",
"warrantyStartDate": "2026-01-01",
"warrantyEndDate": "2026-01-01",
"serialNumber": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumber1": "text",
"serialNumber2": "text",
"expiryDate": "2026-01-01",
"ignoreExpiryDateOnStockBooking": true,
"note": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"udi": "text"
},
"freeSerialNumber": "text",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"billingAddressRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contractRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"parentAssetRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"childAssetRefs": [],
"tags": [],
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Last updated
Was this helpful?